## org.apache.lucene.search.postingshighlight
Class Passage

    java.lang.Object
      org.apache.lucene.search.postingshighlight.Passage

    public final class Passage

extends Object

Represents a passage (typically a sentence of the document).

A passage contains `getNumMatches()` highlights from the query, and the offsets and query terms that correspond with each match.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`Passage()`

Method Summary
`int` `getEndOffset()` End offset of this passage.
`int[]` `getMatchEnds()` End offsets of the term matches, corresponding with `getMatchStarts()`.
`int[]` `getMatchStarts()` Start offsets of the term matches, in increasing order.
`Term[]` `getMatchTerms()` Term of the matches, corresponding with `getMatchStarts()`.
`int` `getNumMatches()` Number of term matches available in `getMatchStarts()`, `getMatchEnds()`, `getMatchTerms()`
`float` `getScore()` Passage's score.
`int` `getStartOffset()` Start offset of this passage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Passage

    public Passage()

Method Detail

### getStartOffset

    public int getStartOffset()

  Start offset of this passage.

  Returns:
    start index (inclusive) of the passage in the original content: always >= 0.

### getEndOffset

    public int getEndOffset()

  End offset of this passage.

  Returns:
    end index (exclusive) of the passage in the original content: always >= `getStartOffset()`

### getScore

    public float getScore()

  Passage's score.

### getNumMatches

    public int getNumMatches()

  Number of term matches available in `getMatchStarts()`, `getMatchEnds()`, `getMatchTerms()`

### getMatchStarts

    public int[] getMatchStarts()

  Start offsets of the term matches, in increasing order.

  Only `getNumMatches()` are valid. Note that these offsets are absolute (not relative to `getStartOffset()`).

### getMatchEnds

    public int[] getMatchEnds()

  End offsets of the term matches, corresponding with `getMatchStarts()`.

  Only `getNumMatches()` are valid. Note that its possible that an end offset could exceed beyond the bounds of the passage (`getEndOffset()`), if the Analyzer produced a term which spans a passage boundary.

### getMatchTerms

    public Term[] getMatchTerms()

  Term of the matches, corresponding with `getMatchStarts()`.

  Only `getNumMatches()` are valid.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.